package com.supervision.knowsub.vo.flow;

import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

import java.util.List;

/**
 * 流程详情返回对象
 */
@Data
@Builder
public class FlowDetailResVo {

    private String id;

    private String flowName;

    private String remark;


    private List<String> subLibraryIdList;

    private List<Integer> flowTypeIdList;

    private List<NodeInfo> nodeInfoList;
    @Tolerate
    public FlowDetailResVo() {
    }
}
